Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QSqlDriverPlugin Class Reference

The QSqlDriverPlugin class provides an abstract base for custom QSqlDriver plugins. More...

`#include <qsqldriverplugin.h>`

List of all member functions.

## Public Members

- QSqlDriverPlugin ()
- ~QSqlDriverPlugin ()
- virtual QStringList keys () const = 0
- virtual QSqlDriver * create ( const QString & key ) = 0

## Detailed Description

The QSqlDriverPlugin class provides an abstract base for custom QSqlDriver plugins.

The SQL driver plugin is a simple plugin interface that makes it easy to create your own SQL driver plugins that can be loaded dynamically by Qt.

Writing a SQL plugin is achieved by subclassing this base class, reimplementing the pure virtual functions keys() and create(), and exporting the class with the Q_EXPORT_PLUGIN macro. See the SQL plugins that come with Qt for example implementations (in the `plugins/src/sqldrivers` subdirectory of the source distribution). Read the plugins documentation for more information on plugins.

See also Plugins.

## Member Function Documentation

### QSqlDriverPlugin::QSqlDriverPlugin ()

Constructs a SQL driver plugin. This is invoked automatically by the Q_EXPORT_PLUGIN macro.

### QSqlDriverPlugin::~QSqlDriverPlugin ()

Destroys the SQL driver plugin.

You never have to call this explicitly. Qt destroys a plugin automatically when it is no longer used.

### QSqlDriver * QSqlDriverPlugin::create ( const QString & key )`[pure virtual]`

Creates and returns a QSqlDriver object for the driver key key. The driver key is usually the class name of the required driver.

See also keys().

### QStringList QSqlDriverPlugin::keys () const`[pure virtual]`

Returns the list of driver keys this plugin supports.

These keys are usually the class names of the custom drivers that are implemented in the plugin.

See also create().

This file is part of the Qt toolkit. Copyright © 1995-2002 Trolltech. All Rights Reserved.